<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Login_WSReq StructType
 * @subpackage Structs
 */
class Login_WSReq extends AbstractStructBase
{
    /**
     * The IDParceiroWS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $IDParceiroWS;
    /**
     * The SUBJECTCN
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SUBJECTCN;
    /**
     * The ISSUERO
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ISSUERO;
    /**
     * The PUBLICKEY
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PUBLICKEY;
    /**
     * The SERIALNUMBER
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SERIALNUMBER;
    /**
     * The VALIDUNTIL
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $VALIDUNTIL;
    /**
     * The CPF
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CPF;
    /**
     * The EMAIL
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $EMAIL;
    /**
     * Constructor method for Login_WSReq
     * @uses Login_WSReq::setIDParceiroWS()
     * @uses Login_WSReq::setSUBJECTCN()
     * @uses Login_WSReq::setISSUERO()
     * @uses Login_WSReq::setPUBLICKEY()
     * @uses Login_WSReq::setSERIALNUMBER()
     * @uses Login_WSReq::setVALIDUNTIL()
     * @uses Login_WSReq::setCPF()
     * @uses Login_WSReq::setEMAIL()
     * @param int $iDParceiroWS
     * @param string $sUBJECTCN
     * @param string $iSSUERO
     * @param string $pUBLICKEY
     * @param string $sERIALNUMBER
     * @param string $vALIDUNTIL
     * @param string $cPF
     * @param string $eMAIL
     */
    public function __construct($iDParceiroWS = null, $sUBJECTCN = null, $iSSUERO = null, $pUBLICKEY = null, $sERIALNUMBER = null, $vALIDUNTIL = null, $cPF = null, $eMAIL = null)
    {
        $this
            ->setIDParceiroWS($iDParceiroWS)
            ->setSUBJECTCN($sUBJECTCN)
            ->setISSUERO($iSSUERO)
            ->setPUBLICKEY($pUBLICKEY)
            ->setSERIALNUMBER($sERIALNUMBER)
            ->setVALIDUNTIL($vALIDUNTIL)
            ->setCPF($cPF)
            ->setEMAIL($eMAIL);
    }
    /**
     * Get IDParceiroWS value
     * @return int
     */
    public function getIDParceiroWS()
    {
        return $this->IDParceiroWS;
    }
    /**
     * Set IDParceiroWS value
     * @param int $iDParceiroWS
     * @return \StructType\Login_WSReq
     */
    public function setIDParceiroWS($iDParceiroWS = null)
    {
        // validation for constraint: int
        if (!is_null($iDParceiroWS) && !(is_int($iDParceiroWS) || ctype_digit($iDParceiroWS))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iDParceiroWS, true), gettype($iDParceiroWS)), __LINE__);
        }
        $this->IDParceiroWS = $iDParceiroWS;
        return $this;
    }
    /**
     * Get SUBJECTCN value
     * @return string|null
     */
    public function getSUBJECTCN()
    {
        return $this->SUBJECTCN;
    }
    /**
     * Set SUBJECTCN value
     * @param string $sUBJECTCN
     * @return \StructType\Login_WSReq
     */
    public function setSUBJECTCN($sUBJECTCN = null)
    {
        // validation for constraint: string
        if (!is_null($sUBJECTCN) && !is_string($sUBJECTCN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sUBJECTCN, true), gettype($sUBJECTCN)), __LINE__);
        }
        $this->SUBJECTCN = $sUBJECTCN;
        return $this;
    }
    /**
     * Get ISSUERO value
     * @return string|null
     */
    public function getISSUERO()
    {
        return $this->ISSUERO;
    }
    /**
     * Set ISSUERO value
     * @param string $iSSUERO
     * @return \StructType\Login_WSReq
     */
    public function setISSUERO($iSSUERO = null)
    {
        // validation for constraint: string
        if (!is_null($iSSUERO) && !is_string($iSSUERO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iSSUERO, true), gettype($iSSUERO)), __LINE__);
        }
        $this->ISSUERO = $iSSUERO;
        return $this;
    }
    /**
     * Get PUBLICKEY value
     * @return string|null
     */
    public function getPUBLICKEY()
    {
        return $this->PUBLICKEY;
    }
    /**
     * Set PUBLICKEY value
     * @param string $pUBLICKEY
     * @return \StructType\Login_WSReq
     */
    public function setPUBLICKEY($pUBLICKEY = null)
    {
        // validation for constraint: string
        if (!is_null($pUBLICKEY) && !is_string($pUBLICKEY)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pUBLICKEY, true), gettype($pUBLICKEY)), __LINE__);
        }
        $this->PUBLICKEY = $pUBLICKEY;
        return $this;
    }
    /**
     * Get SERIALNUMBER value
     * @return string|null
     */
    public function getSERIALNUMBER()
    {
        return $this->SERIALNUMBER;
    }
    /**
     * Set SERIALNUMBER value
     * @param string $sERIALNUMBER
     * @return \StructType\Login_WSReq
     */
    public function setSERIALNUMBER($sERIALNUMBER = null)
    {
        // validation for constraint: string
        if (!is_null($sERIALNUMBER) && !is_string($sERIALNUMBER)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sERIALNUMBER, true), gettype($sERIALNUMBER)), __LINE__);
        }
        $this->SERIALNUMBER = $sERIALNUMBER;
        return $this;
    }
    /**
     * Get VALIDUNTIL value
     * @return string|null
     */
    public function getVALIDUNTIL()
    {
        return $this->VALIDUNTIL;
    }
    /**
     * Set VALIDUNTIL value
     * @param string $vALIDUNTIL
     * @return \StructType\Login_WSReq
     */
    public function setVALIDUNTIL($vALIDUNTIL = null)
    {
        // validation for constraint: string
        if (!is_null($vALIDUNTIL) && !is_string($vALIDUNTIL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vALIDUNTIL, true), gettype($vALIDUNTIL)), __LINE__);
        }
        $this->VALIDUNTIL = $vALIDUNTIL;
        return $this;
    }
    /**
     * Get CPF value
     * @return string|null
     */
    public function getCPF()
    {
        return $this->CPF;
    }
    /**
     * Set CPF value
     * @param string $cPF
     * @return \StructType\Login_WSReq
     */
    public function setCPF($cPF = null)
    {
        // validation for constraint: string
        if (!is_null($cPF) && !is_string($cPF)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cPF, true), gettype($cPF)), __LINE__);
        }
        $this->CPF = $cPF;
        return $this;
    }
    /**
     * Get EMAIL value
     * @return string|null
     */
    public function getEMAIL()
    {
        return $this->EMAIL;
    }
    /**
     * Set EMAIL value
     * @param string $eMAIL
     * @return \StructType\Login_WSReq
     */
    public function setEMAIL($eMAIL = null)
    {
        // validation for constraint: string
        if (!is_null($eMAIL) && !is_string($eMAIL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($eMAIL, true), gettype($eMAIL)), __LINE__);
        }
        $this->EMAIL = $eMAIL;
        return $this;
    }
}
