<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Login_WSResp StructType
 * @subpackage Structs
 */
class Login_WSResp extends AbstractStructBase
{
    /**
     * The RETORNO
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $RETORNO;
    /**
     * The CODIGOERRO
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $CODIGOERRO;
    /**
     * The IDUsuario
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $IDUsuario;
    /**
     * The IDInstituicao
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $IDInstituicao;
    /**
     * The Ativo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Ativo;
    /**
     * The ERRODESCRICAO
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ERRODESCRICAO;
    /**
     * The Tokens
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString
     */
    public $Tokens;
    /**
     * Constructor method for Login_WSResp
     * @uses Login_WSResp::setRETORNO()
     * @uses Login_WSResp::setCODIGOERRO()
     * @uses Login_WSResp::setIDUsuario()
     * @uses Login_WSResp::setIDInstituicao()
     * @uses Login_WSResp::setAtivo()
     * @uses Login_WSResp::setERRODESCRICAO()
     * @uses Login_WSResp::setTokens()
     * @param bool $rETORNO
     * @param int $cODIGOERRO
     * @param int $iDUsuario
     * @param int $iDInstituicao
     * @param bool $ativo
     * @param string $eRRODESCRICAO
     * @param \ArrayType\ArrayOfString $tokens
     */
    public function __construct($rETORNO = null, $cODIGOERRO = null, $iDUsuario = null, $iDInstituicao = null, $ativo = null, $eRRODESCRICAO = null, \ArrayType\ArrayOfString $tokens = null)
    {
        $this
            ->setRETORNO($rETORNO)
            ->setCODIGOERRO($cODIGOERRO)
            ->setIDUsuario($iDUsuario)
            ->setIDInstituicao($iDInstituicao)
            ->setAtivo($ativo)
            ->setERRODESCRICAO($eRRODESCRICAO)
            ->setTokens($tokens);
    }
    /**
     * Get RETORNO value
     * @return bool
     */
    public function getRETORNO()
    {
        return $this->RETORNO;
    }
    /**
     * Set RETORNO value
     * @param bool $rETORNO
     * @return \StructType\Login_WSResp
     */
    public function setRETORNO($rETORNO = null)
    {
        // validation for constraint: boolean
        if (!is_null($rETORNO) && !is_bool($rETORNO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($rETORNO, true), gettype($rETORNO)), __LINE__);
        }
        $this->RETORNO = $rETORNO;
        return $this;
    }
    /**
     * Get CODIGOERRO value
     * @return int
     */
    public function getCODIGOERRO()
    {
        return $this->CODIGOERRO;
    }
    /**
     * Set CODIGOERRO value
     * @param int $cODIGOERRO
     * @return \StructType\Login_WSResp
     */
    public function setCODIGOERRO($cODIGOERRO = null)
    {
        // validation for constraint: int
        if (!is_null($cODIGOERRO) && !(is_int($cODIGOERRO) || ctype_digit($cODIGOERRO))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cODIGOERRO, true), gettype($cODIGOERRO)), __LINE__);
        }
        $this->CODIGOERRO = $cODIGOERRO;
        return $this;
    }
    /**
     * Get IDUsuario value
     * @return int
     */
    public function getIDUsuario()
    {
        return $this->IDUsuario;
    }
    /**
     * Set IDUsuario value
     * @param int $iDUsuario
     * @return \StructType\Login_WSResp
     */
    public function setIDUsuario($iDUsuario = null)
    {
        // validation for constraint: int
        if (!is_null($iDUsuario) && !(is_int($iDUsuario) || ctype_digit($iDUsuario))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iDUsuario, true), gettype($iDUsuario)), __LINE__);
        }
        $this->IDUsuario = $iDUsuario;
        return $this;
    }
    /**
     * Get IDInstituicao value
     * @return int
     */
    public function getIDInstituicao()
    {
        return $this->IDInstituicao;
    }
    /**
     * Set IDInstituicao value
     * @param int $iDInstituicao
     * @return \StructType\Login_WSResp
     */
    public function setIDInstituicao($iDInstituicao = null)
    {
        // validation for constraint: int
        if (!is_null($iDInstituicao) && !(is_int($iDInstituicao) || ctype_digit($iDInstituicao))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iDInstituicao, true), gettype($iDInstituicao)), __LINE__);
        }
        $this->IDInstituicao = $iDInstituicao;
        return $this;
    }
    /**
     * Get Ativo value
     * @return bool
     */
    public function getAtivo()
    {
        return $this->Ativo;
    }
    /**
     * Set Ativo value
     * @param bool $ativo
     * @return \StructType\Login_WSResp
     */
    public function setAtivo($ativo = null)
    {
        // validation for constraint: boolean
        if (!is_null($ativo) && !is_bool($ativo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($ativo, true), gettype($ativo)), __LINE__);
        }
        $this->Ativo = $ativo;
        return $this;
    }
    /**
     * Get ERRODESCRICAO value
     * @return string|null
     */
    public function getERRODESCRICAO()
    {
        return $this->ERRODESCRICAO;
    }
    /**
     * Set ERRODESCRICAO value
     * @param string $eRRODESCRICAO
     * @return \StructType\Login_WSResp
     */
    public function setERRODESCRICAO($eRRODESCRICAO = null)
    {
        // validation for constraint: string
        if (!is_null($eRRODESCRICAO) && !is_string($eRRODESCRICAO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($eRRODESCRICAO, true), gettype($eRRODESCRICAO)), __LINE__);
        }
        $this->ERRODESCRICAO = $eRRODESCRICAO;
        return $this;
    }
    /**
     * Get Tokens value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getTokens()
    {
        return $this->Tokens;
    }
    /**
     * Set Tokens value
     * @param \ArrayType\ArrayOfString $tokens
     * @return \StructType\Login_WSResp
     */
    public function setTokens(\ArrayType\ArrayOfString $tokens = null)
    {
        $this->Tokens = $tokens;
        return $this;
    }
}
